__gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > - Const point-type iterator.

SYNOPSIS

#include <point_const_iterator.hpp>

Inherited by __gnu_pbds::detail::binary_heap_const_iterator_< value_type, entry, simple_value, _Alloc >, and __gnu_pbds::detail::binary_heap_const_iterator_< Value_Type, Entry, Simple, _Alloc >.

  Public Types

typedef rebind_traits< _Alloc, value_type >::const_pointer const_pointer
Iterator's const pointer type.
typedef rebind_traits< _Alloc, value_type >::const_reference const_reference
Iterator's const reference type.
typedef trivial_iterator_difference_type difference_type
Difference type.
typedef trivial_iterator_tag iterator_category
Category.
typedef rebind_traits< _Alloc, value_type >::pointer pointer
Iterator's pointer type.
typedef rebind_traits< _Alloc, value_type >::reference reference
Iterator's reference type.
typedef Value_Type value_type
Iterator's value type.

  Public Member Functions

binary_heap_point_const_iterator_ ()
Default constructor.
binary_heap_point_const_iterator_ (const binary_heap_point_const_iterator_ &other)
Copy constructor.
binary_heap_point_const_iterator_ (entry_pointer p_e)
bool operator!= (const binary_heap_point_const_iterator_ &other) const
Compares content (negatively) to a different iterator object.
const_reference operator* () const
Access.
const_pointer operator-> () const
Access.
bool operator== (const binary_heap_point_const_iterator_ &other) const
Compares content to a different iterator object.

  Public Attributes

entry_pointer m_p_e

  Protected Types

typedef rebind_traits< _Alloc, Entry >::pointer entry_pointer

Detailed Description

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc>
class __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >"Const point-type iterator.

Member Typedef Documentation

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> typedef rebind_traits<_Alloc,value_type>::const_pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::const_pointer

Iterator's const pointer type.

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> typedef rebind_traits<_Alloc,value_type>::const_reference __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::const_reference

Iterator's const reference type.

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> typedef trivial_iterator_difference_type __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::difference_type

Difference type.

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> typedef trivial_iterator_tag __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::iterator_category

Category.

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> typedef rebind_traits<_Alloc,value_type>::pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::pointer

Iterator's pointer type.

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> typedef rebind_traits<_Alloc,value_type>::reference __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::reference

Iterator's reference type.

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> typedef Value_Type __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::value_type

Iterator's value type.

Constructor & Destructor Documentation

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::binary_heap_point_const_iterator_ () [inline]

Default constructor.

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::binary_heap_point_const_iterator_ (const binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > & other) [inline]

Copy constructor.

Member Function Documentation

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> bool __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator!= (const binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > & other) const [inline]

Compares content (negatively) to a different iterator object.

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> const_reference __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator* () const [inline]

Access.

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> const_pointer __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator-> () const [inline]

Access.

  template<typename Value_Type, typename Entry, bool Simple, typename _Alloc> bool __gnu_pbds::detail::binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc >::operator== (const binary_heap_point_const_iterator_< Value_Type, Entry, Simple, _Alloc > & other) const [inline]

Compares content to a different iterator object.

Author

Generated automatically by Doxygen for libstdc++ from the source code.